Dark Reading is part of the Informa Tech Division of Informa PLC

This site is operated by a business or businesses owned by Informa PLC and all copyright resides with them.Informa PLC's registered office is 5 Howick Place, London SW1P 1WG. Registered in England and Wales. Number 8860726.

Endpoint

4/27/2016
02:30 PM
Connect Directly
Twitter
RSS
E-Mail
50%
50%

PCI DSS 3.2: 3 Things You Need to Know

The latest round of upgrades are incremental yet necessary.

The PCI Security Standards Council has outlined the main requirements for the PCI DSS 3.2 upgrade and as always, there’s plenty of time for businesses to prepare for the changes.

Troy Leach, chief technology officer of the council, underscores that the whole point is to give organizations enough time to work with the new requirements.

“In some cases, such as migrating away from SSL and early TLS, organizations have more than two years to transition to the new requirements as long as they demonstrate a strategy for migration,” he explains.

Julie Conroy, research director for the retail banking practice at the Aite Group, says PCI DSS 3.2 comes on the heels of PCI DSS 3.1, which was only released a year ago.

“While the PCI Council is still discussing with members whether it will move to more frequent, smaller releases instead of a release every two years, I think it shows that they are trying to respond as criminals innovate and create new threat vectors,” Conroy explains.  “While this is a good thing, of course it puts the burden on the people who have to comply.”

Here’s a thumbnail of the most important changes in PCI DSS 3.2:

Additional multi-factor authentication. Verizon’s 2016 Data Breach Investigations Report found that 63 percent of confirmed breaches involved weak, default or stolen passwords. The report goes on to recommend that company’s avoid single-factor authentication. PCI’s Leach says the trend outlined in the Verizon report is why PCI DSS 3.2 requires that system administrators working internally who access a Cardholder Data Environment (CDE) must utilize multi-factor authentication. He says with the threat landscape as dangerous as it is today, single-factor authentication for local access to a CDE is no longer acceptable. Leach adds that multi-factor authentication for remote access to a CDE has been a part of the PCI DSS standard from the outset. Organizations have until February 1, 2018 to comply with this new requirement.

Added requirements for service providers. PCI DSS 3.2 will incorporate some of the Designated Entities Supplemental Validation (DESV) criteria for service providers. Among the requirements: service providers must demonstrate that they have a detection mechanism in place to respond to a failure with critical security controls; they must conduct penetration tests on the segmentation of the network at least twice a year; run quarterly checks to ensure that their personnel are following security policies and procedures; and top executives at service providers must demonstrate an understanding of PCI DSS compliance.

Extended migration dates for SSL/early TLS. When it became clear that there were serious vulnerabilities in SSL and early TLS, the PCI Council removed SSL as an example of strong encryption from the PCI Data Security Standard, requiring migration from SSL and TLS 1.0 to a secure version of TLS (currently v1.1 or higher) by July 1, 2016. Leach says this caused some concern in the marketplace because companies depends so heavily on other entities that use SSL. To ease the transition, the PCI Council has pushed back the migration deadline to July 1, 2018. PCI DSS 3.2 also includes a migration appendix to help companies make the transition in a logical manner.

While PCI DSS 3.2 will be the major news coming out of the PCI Council in 2016, Leach adds that there are numerous other initiatives forthcoming later this year. For starters, the council will issue payment security guidance for SMBs this summer, and will also offer training programs for qualified installers to SMBs, and PCI DSS training geared towards merchant banks.

“We are really making a strong effort to reach the SMB community,” Leach says. “The program for merchant banks is also important because they have a very challenging time interfacing with all their merchants and the role of PCI compliance plays to better secure payment environments.”

Related Content:

Gain insight into the latest threats and emerging best practices for managing them. Attend the Security Track at Interop Las Vegas, May 2-6. Register now!

Steve Zurier has more than 30 years of journalism and publishing experience and has covered networking, security, and IT as a writer and editor since 1992. Steve is based in Columbia, Md. View Full Bio
 

Recommended Reading:

Comment  | 
Print  | 
More Insights
Comments
Newest First  |  Oldest First  |  Threaded View
News
Inside the Ransomware Campaigns Targeting Exchange Servers
Kelly Sheridan, Staff Editor, Dark Reading,  4/2/2021
Commentary
Beyond MITRE ATT&CK: The Case for a New Cyber Kill Chain
Rik Turner, Principal Analyst, Infrastructure Solutions, Omdia,  3/30/2021
Register for Dark Reading Newsletters
White Papers
Video
Cartoon
Current Issue
2021 Top Enterprise IT Trends
We've identified the key trends that are poised to impact the IT landscape in 2021. Find out why they're important and how they will affect you today!
Flash Poll
How Enterprises are Developing Secure Applications
How Enterprises are Developing Secure Applications
Recent breaches of third-party apps are driving many organizations to think harder about the security of their off-the-shelf software as they continue to move left in secure software development practices.
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2021-28048
PUBLISHED: 2021-04-14
An overly permissive CORS policy in Devolutions Server before 2021.1 and Devolutions Server LTS before 2020.3.18 allows a remote attacker to leak cross-origin data via a crafted HTML page.
CVE-2021-28157
PUBLISHED: 2021-04-14
An SQL Injection issue in Devolutions Server before 2021.1 and Devolutions Server LTS before 2020.3.18 allows an administrative user to execute arbitrary SQL commands via a username in api/security/userinfo/delete.
CVE-2021-26030
PUBLISHED: 2021-04-14
An issue was discovered in Joomla! 3.0.0 through 3.9.25. Inadequate escaping allowed XSS attacks using the logo parameter of the default templates on error page
CVE-2021-26031
PUBLISHED: 2021-04-14
An issue was discovered in Joomla! 3.0.0 through 3.9.25. Inadequate filters on module layout settings could lead to an LFI.
CVE-2021-27710
PUBLISHED: 2021-04-14
Command Injection in TOTOLINK X5000R router with firmware v9.1.0u.6118_B20201102, and TOTOLINK A720R router with firmware v4.1.5cu.470_B20200911 allows remote attackers to execute arbitrary OS commands by sending a modified HTTP request. This occurs because the function executes glibc's system funct...